Talk:StartPatch

From WiiBrew
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

All Discussion Goes Here

Well I made this page but i had no part in making this application. Plus credit must go to the others that have edited this page and made it better.--Flyguy 14:04, 22 July 2009 (UTC)


Disable RZDx Check On 4.x

It's posible to patch it on 4.1 or 4.0 System Menu versions? It would be fantastic!!!--master42 06:26, 28 October 2009 (UTC)


Startpatch Before System Menu v4.2?

Can I apply startpatch and THEN upgrade to System Menu v4.2?

No, you can't. Startpatch patches the system menu, and updating overwrites the system menu, and you will have to re-patch it. And please sign your posts by typing four tildes. --Gameboy13 14:13, 25 October 2009 (UTC)

Reps

I give you some massive reps for this. Preloader always bricked my Wii, but this didn't and the hacks did work! Thanks, -TPAINROXX/BKW 01:38, 23 July 2009 (UTC)

No problem! :-P I just made the page and the reals kudos should go to aquilino. Heck, I kinda enjoyed making the page!--Flyguy 14:28, 23 July 2009 (UTC)

Another Question

If I use this does that mean I no longer will need the save extractor and save installer for my animal crossing save file?? When I extract my save file it is called rvforest.dat is that what file I will get if I copy the save file from the wii to my sd card once I remove the lock on copying save files??? Ncc-1701 22:11, 7 October 2009 (UTC) Ncc-1701 22:10, 7 October 2009 (UTC)

Just A Question

What about using this app in 3.3/3.4 Wiis? Starfall works only on 3.2 Thank you anonimo200 12:00, 23 July 2009 (UTC) —Preceding undated comment added 10:33, 23 July 2009 (UTC).

ahhhhh!!! Sign your posts!! :-P now that that's over with... No unfortunately there is no 3.3/3.4 startpatch. :( However I would either downgrade to 3.2 with any region changer or just update to 4.1 as 3.3v2 and 3.4 have no benifets over 4.0/4.1. Sorry--Flyguy 14:18, 23 July 2009 (UTC)
Thank you for your quick replay and sorry for not having signed my post (corrected). I'm on 3.3v1 and probably will update to 4.1. anonimo200 19:00, 23 July 2009 (UTC)
AHHHH!!! wait dont. if you havent already install waninkoko's cIOS rev13b BEFORE you update as the 4.1 startpatch requires it. and no problem about not signing posts (hence the :-P)--Flyguy 19:55, 23 July 2009 (UTC)
Yes definitely wait, because if you're on 3.3v1, then there's still a trucha enabled IOS in there, you should be able to downgrade to 3.2 with AnyRegion Changer.-Kage Korosu 21:59, 23 July 2009 (UTC)
Don't worry, wanin's cIOS installed. And no intencion to downgrade (I haven't till now, why should I? 3.3v1 has trucha bug in all the IOS but 30, -correct me if I'm wrong-) And probably I will not upgrade either. No need to access SD from Menu and don't play games, just homebrew. If it works it's better not to touch it ;-). Thanks for your help.anonimo200 14:13, 24 July 2009 (UTC)

Patches Don't Install

When I try to install any patch, it just says "The patch section was not found in the DOL. Nothing to do." Is it a bad download or something? Swift Finch 18:52, 23 July 2009 (UTC)

That would usualy mean you are either trying to install (A) a patch that is already installed or uninstalling (B) a patch that was never installed--Flyguy 19:55, 23 July 2009 (UTC)
Ah, alright. I was trying the press y on gc controller one, but I guess it interfere's with preloader's version. I'll try to change that next time I turn on the wii. Thanks mate. Swift Finch 22:16, 23 July 2009 (UTC)
Well honestly i would get rid of preloader altogether and use this. But thats just me as i have bootmii boot2 so i only need the hacks. plus (once again) this wont let the disc spin forever.--Flyguy 00:19, 24 July 2009 (UTC)
I just like to have as much brick protection as possible. I also have bootmii boot2, but I like to be safe.
And is there an easier way to do this? I'm really not in the mood to reinstall the system menu and everything, because simply uninstalling the preloader hack of the startpatch hack I want to install doesn't work (if that makes sense). Swift Finch 16:32, 27 July 2009 (UTC)
Unfortunately I believe that the only way to uninstall preloader is to downgrade with anyregion changer or to reinstall just the system menu.--Flyguy 16:00, 28 July 2009 (UTC)
Its not that hard really. You actually dont even need anyregion changer. Just get the system menu wad with NUSD and install it with wad importer or certain other apps...--ChuckBartowski 04:24, 30 July 2009 (UTC)
I know, I'm just a lazy bastard and didn't want to reinstall my themes and everything. But I did, and StartPatch is now awesome. Thanks everyone. Swift Finch 12:55, 30 July 2009 (UTC)

Error -106

I cannot get startpatch to install it comes up with error -106.. I looked and can find nothing on this???? Ncc-1701 06:24, 9 October 2009 (UTC)

I have the same problem. ISFS_open error -106 or something like that, too fast to type. What's wrong? Davidson12 05:41, 11 October 2009 (UTC)

I'm running 4.2u, dop-mod ios36 and am getting this error ISFS open error -106, any idea how to get around this yet???--MEwii44 01:15, 21 October 2009 (UTC)

Make sure you have IOS249 installed. If you don't already have it installed or can't install it, downgrade IOS35 and then select IOS to use, use IOS35 to Install IOS249, and then Startpatch should work. --Person3412 00:27, 1 November 2009 (UTC)
Actually, I'm having the same problem installing StartPatch, and lack of IOS249 is not the culprit. It confirms that it's installed first thing. "Custom IOS 249 loaded!!!" Then it immediately jumps to the "ISFS Open ErrorError: -106" message. What else could it be? PathosBob 19:46, 15 November 2009 (UTC)

Error -1017

If you're getting this error, you need a trucha-signed IOS36 (<v4.2.4), or whatever IOS you selected to use (v4.2.4+) TiMeBoMb 20:21, 30 October 2009 (UTC)

Error -1024

As soon as i attempt to start the program i get that error and it goes back to Homebrew channel i have BootMii installed if that matters —Preceding unsigned comment added by TehHacker (talkcontribs) 23:25, 26 July 2009 (UTC)

Do you have the requirements? What System Menu are you on?--Flyguy 16:03, 27 July 2009 (UTC)
Im on 4.0 what is a truch enables ios36 —Preceding unsigned comment added by TehHacker (talkcontribs) 01:10, 2 August 2009 (UTC)
TehHacker, please sign your posts by typing four tildes ( WiibrewBot 02:51, 12 August 2009 (UTC) ) at the end of your comment. LoganA (talkcontribs) 02:43, 2 August 2009 (UTC)
To trucha enable means to add a bug that Nintendo originally put in the IOS's but fixed later on. This is a very easy way of letting unsigned code run on the wii. (Which is why it is gone now). ::My guess is that you don't currently have any trucha enabled IOS's (unless you updated through some of waninkoko's nonsense) and you cant use this program. Sorry.--Flyguy 22:25, 9 August 2009 (UTC)
I Think ill downgrade to 3.2 as it is the best for this sort of thing so any suggestions on how to do it? PS. i will downgrade to 3.2 install trucha bug then update back to 4.0 with Wankantos updater (good plan eh) Ma Is Teh PwnZor 02:47, 10 August 2009 (UTC)
How exactly do you plan on doing that? You cant do it without the trucha (legally anyway). Therefore you wont be able to do use ay apps that require trucha. PS: You don't really install trucha. Pre-3.2 System Menus started come that way. It is a "thinking" process within the IOS's and Nintendo removed it and patched the thought process. See here for more info on IOS's.--Flyguy 21:01, 11 August 2009 (UTC)

No GCN

Hey just FYI, on 4.1U, "Region Free Wii Discs" Kills my Gamecube functionability. Don't know if this was a problem in preloader too, just decided to point that out. And a hefty thanks for letting me rid myself of the whole "my wii spins up all night if I leave a disc in problem". Kudos. -- Poohead900 (n00b) —Preceding undated comment added 01:50, 29 July 2009 (UTC).

Hmm... Didn't know that. Unfortunately I cant help you there. (I don't use region free discs) however do you have anything else (non-startpatch) that could cause this problem?--Flyguy 13:48, 29 July 2009 (UTC)
Nope, Startpatch is the only thing that I have running on it at the moment. (Removed preloader with anyregionchanger down to 3.2U then back up to 4.1U as per the preloader page). After I turned on all the bells and whistles, I lost my gamecube launching ability. I went back through one by one turning all of the options off, then it worked after undoing "Region Free Wii Discs". I turned everything else back on, except for that one, and I could still load gamecube discs. That's how I narrowed it down. Its no big deal, (I only have 1 out-of-region game -- I cheat with gecko anyways), I was just putting that info here since I couldn't find a link to a bug tracker or anything. Thanks for the quick reply though. Poohead900 18:03, 30 July 2009 (UTC)
Confirmed, it kills GameCube compatibility, including retail discs. —Preceding unsigned comment added by Knocks (talkcontribs) 05:13, 6 August 2009 (UTC)
Hmmm... i guess i will have to contact the author and get it fixed. Thanks for the info.--Flyguy 21:01, 11 August 2009 (UTC)
I thought I'd add that if you can't play Gamecube games, use Gecko OS until a fix has been released.--SonicHyuga 00:36, 5 October 2009 (UTC)
Does this also have effect in v4.2.6 as well?--patz 14:36, 21 January 2010 (UTC)

Remove NoCopy Protection?

What does "remove NoCopy Protection" do?--NintendoLover64 11:37, 19 August 2009 (UTC)

Yes and the remove no copy protection lets you copy over the save files of games that dont normally let you. (i.e. Animal Crossing, Smash Bros. Brawl, ect.)--Flyguy 14:05, 22 August 2009 (UTC)

"getting file size...... error; -4" message when trying to install startpatch

i am trying to install startpatch4.1 on my japanese 4.1J Wii. my wii has homebrew channel installed, i can play my backups on my wii etc etc. i have downloaded the japanese version of startpatch, and load it through homebrew, try to install, and then it reaches a point where it says

"getting file size..... error: -4

returning to loader"

and then it goes back to the homebrew channel....

it wont install..... please help

—Preceding unsigned comment added by Tommitek (talkcontribs) 04:40, 5 September 2009 (UTC)

Ignore Standby

I really like the "Ignore Standby" patch from Preloader, since I do use the Weather and News Channel, but doesn't like to leave the Wii in Standby (orange led) all night long. Is there any chance to see this patch in StartPatch? -- Raptor 14:27, 6 September 2009 (UTC)

Change from "Force 249" to "Force 222/223"

Is the some kind of way I can get/make a mod of the dol file to change it from forcing IOS249 to load games, to IOS222 to load games, or maybe to choose which IOS to use to load games?

Believe it or not, for a lot of games, I can't use IOS249 to load games. I've noticed this on a lot of games like; Twilight Princess, Wii Sports, etc. I can't even use the normal IOS to load these REAL discs! But whenever I use IOS222 to load the games, they load better than fine.

I know that IOS249 is amazing for LOTS of different reasons other than loading games, but I still prefer to use IOS222 to load games.

Any thoughts? -- Person3412 —Preceding undated comment added 04:56, 11 October 2009 (UTC).

Also, why is Force IOS 249 not there any more? Person3412 13:14, 17 October 2009 (UTC)

New Version For 4.1E

Are there also new versions for 4.1E which include the new patches of StartPatch for system menu 4.2? 12491 11:21, 17 October 2009 (UTC)

No; there are no additional updates planned for v4.1.x. However, the source is available. So, if you would like to port it backwards, I'm sure there are other that would appreciate it! =) TiMeBoMb 00:53, 31 October 2009 (UTC)

NoCopy Error

I am using version 4.1E and have activated all 5 Remove NoCopy Protection" hacks. When I try to copy anything that is normally protected, it claims to copy successfully. However, when I check the contents of my SD card, the save shows up as '???' (the picture is also a '?'). Is that supposed to happen, or has something gone wrong? All the other hacks work fine. Seiferoth 16:24, 30 October 2009 (UTC)

Changelog

I love the hacks y'all do to the system menu, but what's changed since the first update to v4.2? There's no changelog...are they just bugfixes?-Kage Korosu 05:35, 17 October 2009 (UTC)

Could you make a changelog please. You update it so much it would be nice to know whats being chaged.--ChuckBartowski 19:47, 30 October 2009 (UTC)

Changelog has been added to the StartPatch page TiMeBoMb 20:35, 30 October 2009 (UTC)

The NoCopy Hacks

Just wondering... why are there even five seperate hacks for that? Why not merge them into one? —Preceding unsigned comment added by Bdr9 (talkcontribs) 21:31, 2 November 2009 (UTC)


Can I have 4.2 on 4.0?

Could I put startpatch 4.2u on a 4.0u wii since some of the benefits seem like they would actually be helpful :D. —Preceding unsigned comment added by Kirbypwnzor (talkcontribs) 01:18, 9 November 2009 (UTC)

Can this be patched as to work on another system menu verison

Id like to be able to get like no copy remover etc etc. and 4.0 doesn't have all these features Kirbypwnzor 22:49, 9 November 2009 (UTC)

Error -6

I am trying to Install StartPatch to my Wii after updating to System Menu 4.2U but I am getting this -6 error message when trying to install. Here's what I've done so far in full details (hopefully).

Updated my Wii to System Menu 4.2U via the online update on my Wii (the normal way basically). Reinstalled the latest Homebrew Channel and DVDx via HackMii using the bannerbomb v2 exploit. Placed the "StartPatch v4.2.4U" folder in the apps folder on my SD card. Loaded StartPatch from the Homebrew Channel. Left the selected IOS at 249. Pressed the A button to continue then got the error.

It just stats on that error and doesn't actually return back to the load (ie Homebrew Channel). What am I doing wrong and what do I need to do to correct this? Oni Kidou 22:31, 16 November 2009 (UTC)

Strike that. Suffered a brain fart and completely forgot to reinstall the 249 IOS. XD Oni Kidou 10:11, 20 November 2009 (UTC)


This is the first time I'm trying to install this patch, and I get the same error. I did everything the same way, except I have System Menu 4.2J. I'm sorry, but what do you mean by "reinstall the 249 IOS"? EKDS5k 17:41, 19 January 2009 (UTC)

Y on GCN Controller 1

The recovery mode patch used to be accessed by pressing Y on the first GCN controller. Why was this changed? I greatly dislike the GCN d-pad, so would it be possible to get this hack for 4.1U? It should be on an older version of the program, right? Swift Finch 16:29, 20 December 2009 (UTC)

why would I want to Force a WiFi Connection Test Error?

One of the options is Force a WiFi Connection Test Error. Why would I want to Force a WiFi Connection Test Error? Ttguy 13:22, 17 January 2010 (UTC)

because when you do a wi-fi connection test the wii offers to do an update. you can force the test to fail so other people who use your wii wont "accidentally" update it.--Yossi 13:37, 17 January 2010 (UTC)

Nintendo updated something when the block online update patch was in place

So this morning I ran StartPatch 4.2.6E.rar on my System Menu 4.2E Wii and installed the following patches

  • Disable Disc Region Checks 1 to 5
  • Disable HAXX, DVDX, R2DX checks
  • Block Disc Updates
  • Block online Updates
  • Auto press A at Health screen

All the patches seemed to apply. No errors were returned. And indeed there was no need to press the A at health screen on reboot of the wii.

Now up until this point I have had WiConnect24 off while I had been installing the HomeBrew. But I like Wii news and Weather so I was feeling all confident now that Block online updates patch was in place. So I decided to turn WiiConnect24 back on. And it worked. I downloaded the latest news and weather. Right before I left for work I was playing a game loaded using NeoGammaR7. But when I came home from work this same disk would not play the game.

So I restore my NAND backup using BootMii and then suddenly I can play the game again.

So for certain Nintendo updated something through the WiiConnect24 to kill NeoGammas ability to play backup disks.

So what is the "Block online updates" actually blocking?

Is my experience unusual?

ps I have cIOS Rev 14 installed in IOS249 and IOS250 I have Truncha bug in IOS 250 and IOS249 and IOS36 HBC 1.0.6

The homebrew was installed using gbatemp's newbie guide Ttguy 13:14, 18 January 2010 (UTC)

Wow, so much fail.
1) Nintendo CANNOT update anything without you knowing, there is no code for them to update it without you doing anything.
2) Backups are against the rules here, please refrain from talking about them
3) The block online updates patch DOES block all access to NUS (Nintendo Update Service)
4) GBATemp (or GBAFail as we commonly refer to it) is a terrible site to get advice. You should not follow guides from there.
5) NeoGamma (while not supported here) probably broke because of something YOU did. Either that or you're using an incompatible game.
--SifJar 13:45, 18 January 2010 (UTC)
My bad - breaking the discussion rules. Sorry about that.
I respectfully disagree with your assesment of GBATemp if you look at it from a Newbies perspective - ie My perpective. GBA temp has fantastic "Noob Starter Guide" posted as a sticky in the Wii Hacking section. Where would the equivalent guide be on Wiibrew? I have not found it.
Re point 5) above. I tried again. Turning WiiConnect24 on with standby on and went to bed. When I awoke my system was behaving differently then when I went to bed. And when I restored my NAND back up it behaved as it did before WiiConnect24 was on. So unless a gremlin came in durring the night and did something on my Wii - WiiConnect24 changed something and Start Patch did not stop it.
I don't expect anyone to fix it or really care. But that is just the fact - under my config - WiiConnect24 can change my systems Homebrew behaviour even when Start Patch block updates is installed. Ttguy 09:29, 28 January 2010 (UTC)

"The patch was not found on the DOL. Nothing to do." ???

I, using StartPatch 4.2.6 U, applied "Move Disc Channel" and "Block online updates". Later I came back and tried to undo the patches by pressing B, but it said something like, "The patch was not found on the DOL. Nothing to do." So how do I un-patch the system menu? --Jrcolonial98 17:34, 27 July 2010 (UTC)

Using Start Patch 4.3 for 4.1U menu?

I see that there is a start patch version for every menu version, however I am unclear if this is the general rule? What I mean to ask is, Can I use version 4.3 of Start Patch for a 4.1U Wii menu? or does it have to be 4.1 Start Patch for a 4.1U menu?.-- Chanta 16:07, 19 August 2010 (UTC)

Downloads to mediafire are all dead

Downloads of all the startpatch links are dead, the ones based on mediafire servers. WiiMAn 15:58, 21 August 2010 (UTC)

What if I need to install startpatch on system 4.2 PAL, may I use some other version ?? I need the "block updates" patch.obiwan68

Install Error with Startpatch

Iam trying to install startpatch but I get an error with something like ES_identity error 1029 I also can't install Priiloader same type of error. I followed the guide on GBA temp - Modify ANY Wii 4.3 & below What Iam missing? how do I fix this? Have 4.2 USA wii Thanks in advance.. 05:08, 16 November 2010 (CET)Drtxb

Startpatch for 4.3J

Hey all, just wondering if a version of Startpatch for 4.3J is available, I can't seem to find it anywhere. Thanks in advance for any info.. —Preceding unsigned comment added by Theshadowrunner (talkcontribs) 20:05, 8 August 2011 (CEST)